DownsideFrequency {PerformanceAnalytics} | R Documentation

## downside frequency of the return distribution

### Description

To calculate Downside Frequency, we take the subset of returns that are less than the target (or Minimum Acceptable Returns (MAR)) returns and divide the length of this subset by the total number of returns.

### Usage

    DownsideFrequency(R, MAR = 0, ...)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`MAR` | Minimum Acceptable Return, in the same periodicity as your returns
`...` | any other passthru parameters

### Details

DownsideFrequency(R, MAR) = length(subset of returns below MAR) / length(total returns)

where n is the number of observations of the entire series

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.94

### Examples

    data(portfolio_bacon)
    MAR = 0.005
    print(DownsideFrequency(portfolio_bacon[,1], MAR)) #expected 0.458

    data(managers)
    print(DownsideFrequency(managers['1996']))
    print(DownsideFrequency(managers['1996',1])) #expected 0.25

[Package PerformanceAnalytics version 1.5.3 Index]